> For the complete documentation index, see [llms.txt](https://docs.feedbackly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.feedbackly.com/api/responses/get-responses.md).

# GET Responses

## Get Responses

<mark style="color:blue;">`GET`</mark> `https://api.feedbackly.com/v5.0.3/responses`

This endpoint allows you to access Responses objects from Feedbackly. \
For clarification on different outputs by question type, take a look at the Question types note

#### Query Parameters

| Name              | Type    | Description                                                                                                  |
| ----------------- | ------- | ------------------------------------------------------------------------------------------------------------ |
| skip              | number  | Number of documents to skip from the start                                                                   |
| metadata          | string  | Filters with provided metadata key-value pairs. Separate with semicolon. Format maker:Apple;phone:iPhone     |
| fieldId           | string  | Filters based on the provided field ids. Please refer to the docs about this id.                             |
| questionType      | string  | Array of question types. See the docs for available question types.                                          |
| questionId        | string  | Filter responses by given question id                                                                        |
| surveyId          | string  | Filter responses by given survey ids                                                                         |
| touchpointId      | string  | Filter responses by given touchpoint ids                                                                     |
| createdTo         | number  | UNIX timestamp. Fetch responses from before this timestamp. Defaults to current timestamp if not specified.  |
| preferredLanguage | string  | Language to fetch question titles etc. Defaults to 'en' or the first language available.                     |
| createdFrom       | number  | UNIX timestamp. Fetch responses starting from this timestamp. Defaults to start of the day if not specified. |
| isClosed          | boolean | NEW with Survey 3.0! Filter responses with that are not editable by the respondent anymore                   |
| surveyVersion     | number  | NEW! Filter by used survey version while collecting responses ( current versions are 2 and 3)                |

#### Headers

| Name          | Type   | Description                                                                                          |
| ------------- | ------ | ---------------------------------------------------------------------------------------------------- |
| Authorization | string | <p>Authentication token to access the API eg:<br>'Authorization': 'ey0iuefg.834xcunerun348efnsd'</p> |

{% tabs %}
{% tab title="200 Response successfully retrieved." %}

```
{
  "data": [
    {
      "touchpointName": "Retail location 1",
      "answer": 0.75,
      "questionType": "Button",
      "metadata": {
        "model": "Tesla"
      },
      "valueNum": 0.75,
      "responseChainId": "507f1f77bcf86cd799439011",
      "questionId": "507f1f77bcf86cd799439012",
      "surveyId": "507f1f77bcf86cd799439011",
      "question": "How did we succeed today?",
      "teamId": "507f1f77bcf86cd799439013",
      "createdAtDate": "2019-12-31T10:00:00.000Z",
      "createdAt": 1573507477,
      "touchpointId": "507f1f77bcf86cd799439011",
      "_id": "507f1f77bcf86cd799439011",
      "language": "fi",
      "teamName": "My team name",
      "tags": [
        "CSAT"
      ],
      "browser": "Mac OS X Chrome 84.0.4147.105",
    },
    {
      "answer": 4,
      "valueNum": 4,
      "language": "en",
      "questionType": "NPS",
      "questionId": "58d8d547b8c71e000e3824fd",
      "createdAt": 1490605439,
      "createdAtDate": "2017-03-27T09:03:59.133Z",
      "_id": "5dc57703b7c935069aef31c6",
      "question": "How likely are you to recommend us to a friend or colleague?",
      "metadata": {},
      "responseChainId": "58d8d57d42f73c78c47e2d3d",
      "teamId": "507f1f77bcf86cd799439013",
      "teamName": "My team name",
      "touchpointId": "589c16ad87ef9860199cab37",
      "touchpointName": "Retail location 1",
      "tags": [],
      "browser": "Mac OS X Chrome 84.0.4147.105",
    }
  ],
  "paging": {
    "next": "https://api.feedbackly.com/v5/responses?skip=200",
    "previous": "https://api.feedbackly.com/v5/responses?skip=0"
  }
}
```

{% endtab %}
{% endtabs %}

### Response type description

| Field name | Type                                                       | Example | Description                   |
| ---------- | ---------------------------------------------------------- | ------- | ----------------------------- |
| data       | [Response data](/api/responses.md#response-data-object)\[] |         | The array of response objects |
| paging     | [Pagination](/api/notes/pagination.md)                     |         | Pagination object             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.feedbackly.com/api/responses/get-responses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
